Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util

# Class Images

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util.Images

public class Images extends Object
Image processing methods.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Images.GraphiteFilter`
Based on a code example from: http://tams-www.informatik.uni-hamburg.de/applets/hades/webdemos/00-intro/02-imageprocessing/saturation.html

## Method Summary

Modifier and Type
Method
Description
`static Image`
`createImage(URL resource)`
`static boolean`
`hasAlpha(Image image)`
This method returns true if the specified image has transparent pixels Code taken from the Java Developers Almanac 1.4 http://javaalmanac.com/egs/java.awt.image/HasAlpha.html
`static BufferedImage[]`
`split(Image image, int count, boolean isHorizontal)`
Splits an image into count subimages.
`static BufferedImage`
`toBufferedImage(Image image)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createImage

public static Image createImage(URL resource)

### toBufferedImage

public static BufferedImage toBufferedImage(Image image)

### hasAlpha

public static boolean hasAlpha(Image image)
This method returns true if the specified image has transparent pixels Code taken from the Java Developers Almanac 1.4 http://javaalmanac.com/egs/java.awt.image/HasAlpha.html

### split

public static BufferedImage[] split(Image image, int count, boolean isHorizontal)
Splits an image into count subimages.